# Class WebResponseNoStatic<T>

java.lang.Object
com.ryanharter.auto.value.gson.example.WebResponseNoStatic<T>

public abstract class WebResponseNoStatic<T> extends Object

## Constructor Summary

Constructors
Constructor
Description
`WebResponseNoStatic()`

## Method Summary

Modifier and Type
Method
Description
`abstract T`
`data()`
`abstract List<T>`
`dataList()`
`abstract Map<String,List<T>>`
`dataMap()`
`abstract int`
`status()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebResponseNoStatic

public WebResponseNoStatic()

## Method Details

### status

public abstract int status()

### data

public abstract T data()

### dataList

public abstract List<T> dataList()

### dataMap

public abstract Map<String,List<T>> dataMap()